

import 'dart:async';

import 'package:farmer_client/utils/timer.dart';
import 'package:flutter/widgets.dart';
import 'package:get/get.dart';

import 'home.dart';

class SplashScreen extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => SplashScreenState();
}

class SplashScreenState extends State<SplashScreen> {

  // 默认 3s
  int _countdown = 3;
  Timer? _timer;

  @override
  void initState() {
    super.initState();

    _timer = setInterval((_) {
      if (_countdown <= 1) {
        _timer?.cancel();
        _timer = null;
        Get.off(Home(), routeName: '/');
      }

      setState(() {
        _countdown -= 1;
      });
    }, 1000);
  }

  @override
  void dispose() {
    super.dispose();
    _timer?.cancel();
  }

  @override
  Widget build(BuildContext context) {
    return Text("引导页");
  }

}

